# Copyright (c) 2012-2018 Shawn Iwinski <shawn.iwinski@gmail.com>
#                         Remi Collet <remi@fedoraproject.org>
#                         Christian Glombek <christian.glombek@rwth-aachen.de>
# License: MIT
# http://opensource.org/licenses/MIT

%define github_name     scssphp
%define composer_name   scssphp
%define composer_vendor leafo

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:          php-%{github_name}
Version:       1.0.0
Release:       %mkrel 2
Summary:       A compiler for SCSS written in PHP
License:       MIT
Group:         Development/PHP
URL:           http://leafo.github.io/scssphp
Source0:       https://github.com/leafo/scssphp/archive/%{github_name}-%{version}.tar.gz
BuildArch:     noarch
# composer.json
Requires:      php >= 5.4.0
# phpcompatinfo (computed from version 0.7.5)
Requires:      php-ctype
Requires:      php-json
Requires:      php-mbstring
Requires:      php-pcre
# Autoloader
BuildRequires: php-composer(fedora/autoloader)
Requires:      php-composer(fedora/autoloader)
Provides:      php-composer(%{composer_vendor}/%{composer_name}) = %{version}


%description
SCSS (http://sass-lang.com/) is a CSS preprocessor that adds many features like
variables, mixins, imports, color manipulation, functions, and tons of other
powerful features.

The entire compiler comes in a single class file ready for including in any kind
of project in addition to a command line tool for running the compiler from the
terminal.

scssphp implements SCSS. It does not implement the SASS syntax, only the SCSS
syntax.

Autoloader: %{php_libdir}/Leafo/ScssPhp/autoload.php


%prep
%setup -qn %{github_name}-%{version}

sed "/scss.inc.php/s#.*#require_once '%{php_libdir}/Leafo/ScssPhp/autoload.php';#" \
    -i bin/pscss

sed -e '/VERSION/s/0.7.6/0.7.7/' -i src/Version.php


%build
cat > src/autoload.php <<'EOF'
<?php
/* Autoloader for %{name} and its dependencies */

require_once '%{php_libdir}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Leafo\\ScssPhp\\', __DIR__);
EOF

%install
mkdir -p %{buildroot}%{php_libdir}/Leafo/ScssPhp
cp -pr src/* %{buildroot}%{php_libdir}/Leafo/ScssPhp/

mkdir -p %{buildroot}%{_bindir}
install -m 755 bin/pscss %{buildroot}%{_bindir}/

%files
%doc LICENSE.md
%doc composer.json
%doc README.md
%{php_libdir}/Leafo/ScssPhp
%{_bindir}/pscss


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.0.0-2.mga8
+ Revision: 1526822
- Mageia 8 Mass Rebuild

* Mon Jul 01 2019 guillomovitch <guillomovitch> 1.0.0-1.mga8
+ Revision: 1417192
- new version 1.0.0

* Fri May 17 2019 guillomovitch <guillomovitch> 0.8.2-1.mga7
+ Revision: 1398117
- new version 0.8.2

* Tue Mar 12 2019 guillomovitch <guillomovitch> 0.7.7-4.mga7
+ Revision: 1374931
- rebuild with fixed automatic dependencies generator

* Sat Mar 02 2019 guillomovitch <guillomovitch> 0.7.7-3.mga7
+ Revision: 1371090
- spec cleanup

* Sat Mar 02 2019 guillomovitch <guillomovitch> 0.7.7-2.mga7
+ Revision: 1371038
- rebuild to fix automatic dependencies

* Wed Jan 16 2019 guillomovitch <guillomovitch> 0.7.7-1.mga7
+ Revision: 1357312
- imported package php-scssphp

